Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Class JDBCPersistenceProductDerivation

    java.lang.Object
      org.apache.openjpa.lib.conf.AbstractProductDerivation
          org.apache.openjpa.persistence.jdbc.JDBCPersistenceProductDerivation

All Implemented Interfaces:
  OpenJPAProductDerivation, ProductDerivation

    public class JDBCPersistenceProductDerivation

extends AbstractProductDerivation
implements OpenJPAProductDerivation

Sets JDBC-specific JPA specification defaults.

Author:
  Abe White

Field Summary

Fields inherited from interface org.apache.openjpa.conf.OpenJPAProductDerivation
`TYPE_PRODUCT_STORE, TYPE_SPEC, TYPE_SPEC_STORE, TYPE_STORE`

Fields inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`TYPE_FEATURE, TYPE_PRODUCT`

Constructor Summary
`JDBCPersistenceProductDerivation()`

Method Summary
`boolean` | `afterSpecificationSet(Configuration c)` Called after the specification has been set.
`boolean` | `beforeConfigurationLoad(Configuration c)` Provides the instance with the opportunity to mutate `conf` before the user configuration is applied.
`Set<String>` | `getSupportedQueryHints()` Return set of Query hint keys recognized by this receiver.
`int` | `getType()` Return the type of derivation.
`void` | `putBrokerFactoryAliases(Map<String,String> m)` Load default alias options into the given map.
`void` | `validate()` Ensure that this derivation is valid.

Methods inherited from class org.apache.openjpa.lib.conf.AbstractProductDerivation
`beforeConfigurationClose, beforeConfigurationConstruct, getAnchorsInFile, getAnchorsInResource, getConfigurationPrefix, getDefaultResourceLocation, load, load, loadDefaults, loadGlobals`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.lib.conf.ProductDerivation
`beforeConfigurationClose, beforeConfigurationConstruct, getAnchorsInFile, getAnchorsInResource, getConfigurationPrefix, getDefaultResourceLocation, load, load, loadDefaults, loadGlobals`

Constructor Detail

### JDBCPersistenceProductDerivation

    public JDBCPersistenceProductDerivation()

Method Detail

### putBrokerFactoryAliases

    public void putBrokerFactoryAliases(Map<String,String> m)

  Description copied from interface: `OpenJPAProductDerivation`
  Load default alias options into the given map. Each entry maps an alias to a broker factory class name. Replace anything previously under the desired keys.

  Specified by:
    `putBrokerFactoryAliases` in interface `OpenJPAProductDerivation`

### getType

    public int getType()

  Description copied from interface: `ProductDerivation`
  Return the type of derivation.

  Specified by:
    `getType` in interface `ProductDerivation`

### validate

    public void validate()
                  throws Exception

  Description copied from interface: `ProductDerivation`
  Ensure that this derivation is valid. This action might consist of loading classes for the product this derivation represents to be sure they exist. Throw any throwable to indicate an invalid derivation. Invalid derivations will not be used.

  Specified by:
    `validate` in interface `ProductDerivation`
  Overrides:
    `validate` in class `AbstractProductDerivation`
  Throws:
    `Exception`

### beforeConfigurationLoad

    public boolean beforeConfigurationLoad(Configuration c)

  Description copied from interface: `ProductDerivation`
  Provides the instance with the opportunity to mutate `conf` before the user configuration is applied.

  Specified by:
    `beforeConfigurationLoad` in interface `ProductDerivation`
  Overrides:
    `beforeConfigurationLoad` in class `AbstractProductDerivation`
  Returns:
    true if given Configuration has been mutated.

### afterSpecificationSet

    public boolean afterSpecificationSet(Configuration c)

  Description copied from interface: `ProductDerivation`
  Called after the specification has been set.

  Specified by:
    `afterSpecificationSet` in interface `ProductDerivation`
  Overrides:
    `afterSpecificationSet` in class `AbstractProductDerivation`
  Returns:
    true if given Configuration has been mutated.

### getSupportedQueryHints

    public Set<String> getSupportedQueryHints()

  Description copied from interface: `ProductDerivation`
  Return set of Query hint keys recognized by this receiver.

  Specified by:
    `getSupportedQueryHints` in interface `ProductDerivation`
  Overrides:
    `getSupportedQueryHints` in class `AbstractProductDerivation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.